## PDC Deactivate Config indication

PDC Deactivate Config indication

## Functions

QmiIndicationPdcDeactivateConfigOutput * | qmi_indication_pdc_deactivate_config_output_ref ()
void | qmi_indication_pdc_deactivate_config_output_unref ()
gboolean | qmi_indication_pdc_deactivate_config_output_get_token ()
gboolean | qmi_indication_pdc_deactivate_config_output_get_indication_result ()

## Types and Values

| QmiIndicationPdcDeactivateConfigOutput

## Object Hierarchy

        GBoxed
        ╰── QmiIndicationPdcDeactivateConfigOutput

## Description

## Functions

### qmi_indication_pdc_deactivate_config_output_ref ()

    QmiIndicationPdcDeactivateConfigOutput *
    qmi_indication_pdc_deactivate_config_output_ref
                                   (QmiIndicationPdcDeactivateConfigOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiIndicationPdcDeactivateConfigOutput. |

#### Returns

the new reference to `self` .

Since: 1.18

### qmi_indication_pdc_deactivate_config_output_unref ()

    void
    qmi_indication_pdc_deactivate_config_output_unref
                                   (QmiIndicationPdcDeactivateConfigOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiIndicationPdcDeactivateConfigOutput. |

Since: 1.18

### qmi_indication_pdc_deactivate_config_output_get_token ()

    gboolean
    qmi_indication_pdc_deactivate_config_output_get_token
                                   (QmiIndicationPdcDeactivateConfigOutput *self,
                                    guint32 *value_token,
                                    GError **error);

Get the 'Token' field from `self` .

#### Parameters

self | a QmiIndicationPdcDeactivateConfigOutput. |
value_token | a placeholder for the output guint32, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_indication_pdc_deactivate_config_output_get_indication_result ()

    gboolean
    qmi_indication_pdc_deactivate_config_output_get_indication_result
                                   (QmiIndicationPdcDeactivateConfigOutput *self,
                                    guint16 *value_indication_result,
                                    GError **error);

Get the 'Indication Result' field from `self` .

#### Parameters

self | a QmiIndicationPdcDeactivateConfigOutput. |
value_indication_result | a placeholder for the output guint16, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

## Types and Values

### QmiIndicationPdcDeactivateConfigOutput

    typedef struct _QmiIndicationPdcDeactivateConfigOutput QmiIndicationPdcDeactivateConfigOutput;

The QmiIndicationPdcDeactivateConfigOutput structure contains private data and should only be accessed using the provided API.

Since: 1.18